<?php
/**
 * Info Blocks for WooCommerce - General Section Settings
 *
 * @version 1.0.0
 * @since   1.0.0
 * @author  Algoritmika Ltd
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

if ( ! class_exists( 'Alg_WC_Info_Blocks_Settings_General' ) ) :

class Alg_WC_Info_Blocks_Settings_General extends Alg_WC_Info_Blocks_Settings_Section {

	/**
	 * Constructor.
	 *
	 * @version 1.0.0
	 * @since   1.0.0
	 */
	function __construct() {
		$this->id   = '';
		$this->desc = __( 'General', 'info-blocks-for-woocommerce' );
		parent::__construct();
	}

	/**
	 * get_settings.
	 *
	 * @version 1.0.0
	 * @since   1.0.0
	 */
	function get_settings() {

		$plugin_settings = array(
			array(
				'title'    => __( 'Info Blocks Options', 'info-blocks-for-woocommerce' ),
				'type'     => 'title',
				'id'       => 'alg_wc_info_blocks_plugin_options',
			),
			array(
				'title'    => __( 'Info Blocks for WooCommerce', 'info-blocks-for-woocommerce' ),
				'desc'     => '<strong>' . __( 'Enable plugin', 'info-blocks-for-woocommerce' ) . '</strong>',
				'desc_tip' => __( 'Info blocks for WooCommerce.', 'info-blocks-for-woocommerce' ),
				'id'       => 'alg_wc_info_blocks_plugin_enabled',
				'default'  => 'yes',
				'type'     => 'checkbox',
			),
			array(
				'type'     => 'sectionend',
				'id'       => 'alg_wc_info_blocks_plugin_options',
			),
		);

		return array_merge( $plugin_settings );
	}

}

endif;

return new Alg_WC_Info_Blocks_Settings_General();
